Having problems with new Plotz? I hope not, but if so, use this version instead.